<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>KonfrimasiBank</title>
<style>
    @page {
            margin-top: 3.5cm;
            margin-right: 1.5cm;
            margin-left: 1.5cm;
        }

        /** Define the header rules **/
        header {
            position: fixed;
            top: 0cm;
            left: 0cm;
            right: 0cm;
            height: 6.5cm;

        }

        /** Define the footer rules **/
        footer {
            position: fixed;
            bottom: 0cm;
            left: 0cm;
            right: 0cm;
        },


    /* table {
        width: 100%;
        border-collapse: collapse;
        border: 1px solid #ddd;
    }
    th, td {
        border: 1px solid #ddd;
        padding: 3px;
        font-size: 12px;
    }
    th {
        background-color: #f2f2f2;
        font-weight: bold;
    }
    tr:nth-child(even) {
        background-color: #f2f2f2;
    } */

    .text-center{
        text-align: center;
    }

    ul.no-bullets {
        list-style-type: none;
        margin: 0;
        padding: 0;
        font-family: Arial, sans-serif;
        font-size: 12px; /* Ukuran font dalam piksel */
    }

    p{
        font-family: Arial, sans-serif;
        font-size: 12px; /* Ukuran font dalam piksel */
    }

  .no-border-table {
      border-collapse: collapse;
   }

    .no-border-table,
   .no-border-table th,
   .no-border-table td,
   .no-border-table tr {
      border: none;
   }

   .space1 {
      border: 1px solid black;
      border-collapse: collapse;
      font-size: 12px;

   }




</style>
</head>
<body>

<ul class="no-bullets">
<li>Nomor &nbsp; :  {{$data['infoSuratOld']['no_surat']}}</li>
    <li>Tanggal : {{ Carbon\Carbon::parse($data['infoSuratOld']['tgl_surat'])->format('d-m-Y') }}</li>
</ul><br>
<ul  class="no-bullets">
    <li>Kepada Yth</li>
    <li>{{$data['infoSuratNew']['nama_tujuan']}}</li>
    <li>{{$data['infoSuratNew']['alamat']}}</li>
    <li>Email : {{$data['infoSuratNew']['email']}}</li>
    <li>Telp : {{$data['infoSuratNew']['tlp']}}</li>
</ul><br>
    <ul class="no-bullets">
    <li> Sesuai dengan surat saudara Nomor {{$data['infoSuratNew']['no_req_surat']}} tanggal {{ Carbon\Carbon::parse($data['infoSuratNew']['tgl_req_surat'])->format('d-m-Y') }}  dengan ini kami sampaikan data – data nasabah sesuai permintaan saudara sebagai berikut : </li><br>
    <li>Nama Nasabah : {{$data['DataCustomer']->SHORT_NAME}}</li>
    <li>Nomor CIF &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; : {{$data['DataCustomer']->CUSTOMER_NO}}</li>
</ul><br>
    <ul class="no-bullets">
    <li>SIMPANAN NASABAH YANG BERSANGKUTAN PADA BANK</li>
    <li>POSISI : {{ Carbon\Carbon::parse($data['infoSuratNew']['tgl_req_surat'])->format('d-m-Y') }} </li>
</ul>

<table style="width:100%;" class="space1" >
  <thead style="background-color: dimgrey" class="class="space1"">
    <tr>
        <th class="text-center space1" style="width:5%">No</th>
        <th class="text-center space1" style="width:21%">Jenis Rekening</th>
        <th class="text-center space1" style="width:12%">Tgl Realisasi</th>
        <th class="text-center space1" style="width:7%">Mata Uang</th>
        <th class="text-center space1" style="width:15%">Saldo</th>
        <th class="text-center space1" style="width:10%">Jangka Waktu</th>
        <th class="text-center space1" style="width:8%">Suku Bunga</th>
        <th class="text-center space1" style="width:12%">Tgl Jatuh Tempo</th>
        <th class="text-center space1" style="width:10%">Keterangan</th>
    </tr>
  </thead>
  <tbody>
        @if (count($data['DataAccounts'])>0)
            @php $i=1
            @endphp
            @foreach ($data['DataAccounts'] as $val)
                <tr class="space1">
                    <td class="text-center  space1">{{ $i++ }}</td>
                    <td class="text-left space1">{{ $val['SHORT_NAME'] }}</td>
                    <td class=" text-center space1">{{ $val['OPENING_DATE'] }}</td>
                    <td class=" text-center space1">{{ $val['CURRENCY'] }}</td>
                    <td class=" text-left space1">{{ $val['WORKING_BALANCE'] }}</td>
                    <td class="text-center space1 ">{{ $val['TERM'] }}</td>
                    <td class="text-center space1 ">{{ $val['FIXED_RATE'] }}</td>
                    <td class="text-center space1 ">{{ $val['MATURITY_DATE'] }}</td>
                    <td class="text-center space1">{{ $val['ACCOUNT_NUMBER'] }}</td>

                </tr>
            @endforeach
        @else
                <tr class="">
                    <td class="space1" colspan="9" style="text-align: center;">Tidak Ada Data Yang Ditampilkan</td>
                </tr>
        @endif
    <!-- Add more rows here if needed -->
  </tbody>
</table><br>

<ul class="no-bullets">
         <li>PINJAMAN YANG DIBERIKAN OLEH BANK KEPADA NASABAH</li>
         <li>POSISI : {{ Carbon\Carbon::parse($data['infoSuratNew']['tgl_req_surat'])->format('d-m-Y') }} </li>
      </ul>
      <table class="space1" style="width:100%;">
         <thead style="background-color: dimgrey">
            <tr class="space1">
                <th class="text-center space1" style="width:5%">No</th>
                <th class="text-center space1" style="width:21%">Jenis Rekening</th>
                <th class="text-center space1" style="width:12%">Tgl Realisasi</th>
                <th class="text-center space1" style="width:7%">Mata Uang</th>
                <th class="text-center space1" style="width:15%">Saldo</th>
                <th class="text-center" style="width:10%">Jangka Waktu</th>
                <th class="text-center space1" style="width:8%">Suku Bunga</th>
                <th class="text-center space1" style="width:12%">Tgl Jatuh Tempo</th>
                <th class="text-center space1" style="width:10%">Keterangan</th>
            </tr>
         </thead>
         <tbody>
            @if (count($data['DataPinjaman'])>0)
            @php $i=1;
            $saldo = '';
            @endphp
            @foreach ($data['DataPinjaman'] as $key1 => $pinjaman)
            <tr class="space1">
               <td class="text-center space1">{{ $i++ }}</td>
               <td class="space1">{{ $pinjaman['PRODUCT_LINE'] }}</td>
               <td class="text-center space1 ">{{$pinjaman['START_DATE']}}</td>
               <td class="text-center space1">{{ $pinjaman['CURRENCY'] }}</td>
               <td class="text-center space1">{{$pinjaman['WORKING_BALANCE']}}</td>
               <td class="text-center space1">{{ $pinjaman['TERM'] }}</td>
               <td class="text-center space1">{{ $pinjaman['FIXED_RATE'] }} %</td>
               <td class="text-center space1">{{  $pinjaman['MATURITY_DATE'] }}</td>
               <td class="text-center space1">{{  $pinjaman['ACCOUNT_NUMBER'] }}</td>
            </tr>
            @endforeach
            @else
            <tr class="space1">
               <td class="space1" colspan="9" style="text-align: center;">Tidak Ada Data Pinjaman Yang Ditampilkan</td>
            </tr>
            @endif
         </tbody>
      </table><br>

      <ul class="no-bullets">
         <li>FASILITAS LAIN YANG DITERIMA OLEH NASABAH</li>
         <li>POSISI : {{ Carbon\Carbon::parse($data['infoSuratNew']['tgl_req_surat'])->format('d-m-Y') }} </li>
      </ul>
      <table class="space1" style="width:100%;">
         <thead style="background-color: dimgrey">
            <tr class="space1">
                <th class="text-center space1" style="width:5%">No</th>
                <th class="text-center space1" style="width:21%">Jenis Rekening</th>
                <th class="text-center space1" style="width:12%">Tgl Realisasi</th>
                <th class="text-center space1" style="width:7%">Mata Uang</th>
                <th class="text-center space1" style="width:15%">Saldo</th>
                <th class="text-center space1" style="width:10%">Jangka Waktu</th>
                <th class="text-center space1" style="width:8%">Suku Bunga</th>
                <th class="text-center space1" style="width:12%">Tgl Jatuh Tempo</th>
                <th class="text-center space1" style="width:10%">Keterangan</th>
            </tr>
         </thead>
         <tbody>
            @if (count($data['DataLimit']) > 0 OR count($data['DataFasilitas']) > 0 )
            @if (count($data['DataLimit']) > 0)
            @php $i=1 @endphp
            @foreach ($data['DataLimit'] as $limit)
            @php
            $approvalDate = \Carbon\Carbon::parse($limit->APPROVAL_DATE);
            $expiryDate = \Carbon\Carbon::parse($limit->EXPIRY_DATE);
            $term = $expiryDate->diffInMonths($approvalDate);
            $limitPecent = intval($limit->LIMIT_PERCENTAGE) / 100 ;
            $noRek = explode(']', $limit->ACCOUNT);
            @endphp
            <tr class="space1">

               <td class="text-center space1">{{ $i++ }}</td>
               <td class="space1">{{ $limit->SHORT_NAME }}</td>
               <td class="text-center space1">{{ $approvalDate->format('d-m-Y') }}</td>
               <td class="text-center space1">{{ $limit->LIMIT_CURRENCY }}</td>
               <td class="space1">
                  {{  ($limit->AVAIL_AMT != 0.00) ?  number_format($limit->AVAIL_AMT,2,',','.') :  'NIHIL'}}</td>
               <td class="text-center space1">{{ $term  }} D </td>
               <td class="text-center space1">{{ $limitPecent }} %</td>
               <td class="text-center space1">{{ $expiryDate->format('d-m-Y')}}</td>
               <td class="text-center space1">
                  @if(count($noRek) > 1)
                  <ul class="no-bullets">
                     @foreach ($noRek as $item)
                     <li style=" font-family: Times New Roman,Times, sans-serif;font-size:12px">{{$item}}</li>
                     @endforeach
                  </ul>
                  @else
                  {{ $limit->ACCOUNT}}
                  @endif
               </td>
            </tr>
            @endforeach
            @endif

            @if (count($data['DataFasilitas']) > 0)
            @php
            $no = 0;
            if (count( $data['DataLimit']) > 0) {
            $no = count($data['DataLimit']) + 1 ;
            }else{
            $no = 1 ;
            }
            @endphp

            @foreach ($data['DataFasilitas'] as $fasilitas)
            <tr class="space1" style="background-color: antiquewhite">
               <td class="text-center space1">{{ $no++ }}</td>
               <td class="space1">{{ $fasilitas->jenis_fasilitas }}</td>
               <td class="text-center space1">{{ \Carbon\Carbon::parse($fasilitas->start_date)->format('d-m-Y') }}</td>
               <td class="text-center space1">{{ $fasilitas->mata_uang }}</td>
               <td class="space1">{{ $fasilitas->saldo }}</td>
               <td class="text-center space1 ">{{ $fasilitas->jangka_waktu }}</td>
               <td class="text-center space1">{{ $fasilitas->fixed_rate }} %</td>
               <td class="text-center space1">{{  \Carbon\Carbon::parse($fasilitas->due_date)->format('d-m-Y') }}</td>
               <td class="text-center space1">{{ $fasilitas->nomor_rekening }}</td>
            </tr>
            @endforeach
            @endif
            @else
            <tr class="space1">
               <td class="space1" colspan="9" style="text-align: center;">Tidak Ada Fasilitas </td>
            </tr>
            @endif
         </tbody>
      </table><br>

      <p>Demikian data ini kami sampaikan agar dapat digunakan sebagaimana mestinya</p> <br><br><br><br>

      <div style="width:300px" class>
         <table style="width:100%;" class="">
           <table style="width:100%;" class=" no-border-table">
               <td class="space1" style="width:20%;font-size:12px;border:none">
                  <ul class="no-bullets">
                     <li>{{$data['DataSigner'][0]['deputy_director_name']}}</li>
                     <li>Deputy Director</li>
                  </ul>
               </td>
               <td class="space1" style="width:20%;font-size:12px;border:none">
                  <ul class="no-bullets">
                     <li>{{$data['DataSigner'][0]['executive_officer_name']}}</li>
                     <li>Executive Officer</li>
                  </ul>
               </td>
            </tr>
         </table>
      </div>

</body>
</html>
